## mz 0.34.6

=== CMakeLists.txt ===
project(mausezahn)

cmake_minimum_required(VERSION 2.4.0 FATAL_ERROR)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

ADD_CUSTOM_TARGET(uninstall
	COMMAND ${CMAKE_COMMAND} -E echo Use 'xargs rm < install_manifest.txt' to uninstall this program
	)

include_directories(./ ../ ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory (src)
add_subdirectory (doc)

## mz 0.34.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,8 @@
 if(COMMAND cmake_policy)
 	cmake_policy(SET CMP0003 NEW)
 endif(COMMAND cmake_policy)
+
+SET(CMAKE_C_FLAGS "-Wall -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables")
 
 ADD_CUSTOM_TARGET(uninstall
 	COMMAND ${CMAKE_COMMAND} -E echo Use 'xargs rm < install_manifest.txt' to uninstall this program
@@ -13,3 +15,6 @@
 
 add_subdirectory (src)
 add_subdirectory (doc)
+
+
+

=== doc/CMakeLists.txt ===
install(FILES mz.1 DESTINATION share/man/man1)
install(FILES mausezahn-doc.pdf DESTINATION share/doc/mz)
install(FILES mausezahn-doc.html DESTINATION share/doc/mz)
install(FILES view_rtp_avg.py DESTINATION share/doc/mz)

=== src/CMakeLists.txt ===
SET (SRCS
	mz.c
	layer1.c
	layer2.c
	layer3.c
	layer4.c
	init.c
	hextools.c
	tools.c
	lookupdev.c
	time.c
	modifications.c
	send_eth.c
	send.c
	cdp.c 
	rtp.c 
	dns.c 
	rcv_rtp.c
	syslog.c
	mz.h)

add_executable (mz ${SRCS})
target_link_libraries (mz net pcap rt)

install(TARGETS mz DESTINATION sbin)

## mz 0.39

=== CMakeLists.txt ===
SET (SRCS
	mz.c
	layer1.c
	layer2.c
	layer3.c
	layer4.c
	init.c
	hextools.c
	tools.c
	lookupdev.c
	time.c
	modifications.c
	send_eth.c
	send.c
	cdp.c 
	rtp.c 
	dns.c 
	rcv_rtp.c
	syslog.c
	cli.c
	cli_cmds.c
	cli_launch.c
	cli_legacy.c
	cli_packet.c
	cli_interface.c
	cli_set.c
	cli_dns.c
	cli_arp.c	
	cli_bpdu.c
	cli_eth.c
	cli_ip.c
	cli_udp.c
	cli_tcp.c
	cli_rtp.c
	cli_tools.c
	tx_switch.c
	mops.c
	mops_update.c
	mops_tools.c
	mops_checksums.c
	mops_threads.c
	mops_dot1Q.c
	mops_mpls.c
	mops_ip.c
	mops_tcp.c
	mops_ext.c
	mops_ext_arp.c
	mops_ext_bpdu.c
	mops_ext_rtp.c
	parse_xml.c
	automops.c
	mopsrx_arp.c
	mops_ext_igmp.c
	mops_ext_lldp.c
	cli_igmp.c
	cli_lldp.c
	mz.h
	cli.h
	mops.h)

add_executable (mz ${SRCS})
target_link_libraries (mz net pcap rt cli pthread m)

install(TARGETS mz DESTINATION sbin)

=== debian/changelog ===
mz (0.39-1) unstable; urgency=high

  * New upstream version.
    - fixes 100% cpu consumption bug, setting urgency=high because
      this is an RC bug (Closes: #572363).
  * Convert package to 3.0 (quilt) source format.
  * debian/control:
    - add build-dep on libcli-dev.
    - bump up standards-version to 3.8.4 (no changes).
    - new maintainer email address.
    - adding DM-Upload-Allowed, thanks to my sponsor Michal Čihař.
  * debian/rules: stop excluding README from being compressed.
  * debian/mz.doc-base: add doc-base registration file.
  * fix_manpages.patch: new patch, fix hyphen-used-as-minus-sign
    and another error in manpages.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 08 Mar 2010 03:19:59 +0100

mz (0.34.9-1) unstable; urgency=low

  * New upstream version.
    - delete debian/patches/fix-build.patch and drop quilt build-dep.

 -- Cristian Greco <cristian.debian@gmail.com>  Thu, 13 Aug 2009 11:41:17 +0200

mz (0.34.7-1) unstable; urgency=low

  * New upstream version.
    - debian/{control,rules}: build-depends on quilt.
    - debian/README.source: add info about quilt patch system.
    - debian/patches/fix-build.patch: drop some architecture dependent CFLAGS.
  * Upload to unstable.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 28 Jul 2009 20:53:10 +0200

mz (0.34.6-3) experimental; urgency=low

  * Upload to experimental (due to new debhelper builddep).
  * debian/{control,rules}: build-depends on debhelper (>= 7.3.0) which
    adds cmake support and consequently simplify debian/rules.
  * debian/control:
    - switch git maintenance to collab-maint (the old personal repo on alioth
      got lost due to an error of mine);
    - bump standards-version to 3.8.2 (no changes).

 -- Cristian Greco <cristian.debian@gmail.com>  Thu, 23 Jul 2009 22:02:07 +0200

mz (0.34.6-2) unstable; urgency=low

  * debian/control:
    - bump up Standards-Version to 3.8.1 (no changes required).
    - switch to Vcs-Git package maintenance.
  * debian/rules: build-depends on debhelper (>= 7.0.50) and use
    override_dh commands.
  * debian/copyright: update copyright year of packaging.

 -- Cristian Greco <cristian.debian@gmail.com>  Thu, 04 Jun 2009 19:38:33 +0200

mz (0.34.6-1) unstable; urgency=low

  * New upstream version.
  * New maintainer email address. 

 -- Cristian Greco <cristian.debian@gmail.com>  Wed, 10 Dec 2008 20:10:34 +0100

mz (0.34.5-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cgreco@cs.unibo.it>  Thu, 30 Oct 2008 17:53:16 +0100

mz (0.34.1) unstable; urgency=low

  * New upstream version.
  * debian/rules: binary-indep target should do nothing because we are not
    building a "arch:all" package.

 -- Cristian Greco <cgreco@cs.unibo.it>  Wed, 29 Oct 2008 18:29:45 +0100

mz (0.33.2-1) unstable; urgency=low

  * Initial release (Closes: #494389)

 -- Cristian Greco <cgreco@cs.unibo.it>  Thu, 11 Sep 2008 10:01:56 +0200

=== debian/control ===
Source: mz
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.3.0), cmake, libnet1-dev, libpcap0.8-dev, libcli-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/mz.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mz.git
Homepage: http://www.perihel.at/sec/mz/
DM-Upload-Allowed: yes

Package: mz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: python-matplotlib
Description: versatile packet creation and network traffic generation tool
 mausezahn (mz) is a fast traffic generator written in C which allows you to
 send nearly every possible and impossible packet. It is mainly used to test
 VoIP or multicast networks but also for security audits to check whether
 your systems are hardened enough for specific attacks.
 Mausezahn can be used for example:
 .
  * as traffic generator (e.g. to stress multicast networks);
  * to precisely measure jitter (delay variations) between two hosts
    (e.g. for VoIP-SLA verification);
  * as didactical tool during a datacom lecture or for lab exercises;
  * for penetration testing of firewalls and IDS;
  * for DoS attacks on networks (for audit purposes of course);
  * to find bugs in network software or appliances;
  * for reconnaissance attacks using ping sweeps and port scans;
  * to test network behaviour under strange circumstances (stress test, 
    malformed packets, ...).

## mz 0.40

=== CMakeLists.txt ===
project(mausezahn)

cmake_minimum_required(VERSION 2.4.0 FATAL_ERROR)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

SET(CMAKE_C_FLAGS "-Wall -pipe -fexceptions -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables")

ADD_CUSTOM_TARGET(uninstall
	COMMAND ${CMAKE_COMMAND} -E echo Use 'xargs rm < install_manifest.txt' to uninstall this program
	)

include_directories(./ ../ ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory (src)
add_subdirectory (doc)

=== doc/CMakeLists.txt ===
install(FILES mz.1 DESTINATION share/man/man1)
install(FILES mz.cfg.1 DESTINATION share/man/man1)
install(FILES mzguide.html DESTINATION share/doc/mz)
install(FILES mops.html DESTINATION share/doc/mz)
install(FILES view_rtp_avg.py DESTINATION share/doc/mz)
install(FILES example_lldp.conf DESTINATION share/doc/mz)
install(FILES README.example DESTINATION share/doc/mz)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,53 @@
 	dns.c 
 	rcv_rtp.c
 	syslog.c
-	mz.h)
+	cli.c
+	cli_cmds.c
+	cli_launch.c
+	cli_legacy.c
+	cli_packet.c
+	cli_interface.c
+	cli_set.c
+	cli_dns.c
+	cli_arp.c	
+	cli_bpdu.c
+	cli_eth.c
+	cli_ip.c
+	cli_udp.c
+	cli_tcp.c
+	cli_rtp.c
+	cli_tools.c
+	tx_switch.c
+	mops.c
+	mops_update.c
+	mops_tools.c
+	mops_checksums.c
+	mops_threads.c
+	mops_dot1Q.c
+	mops_mpls.c
+	mops_ip.c
+	mops_tcp.c
+	mops_ext.c
+	mops_ext_arp.c
+	mops_ext_bpdu.c
+	mops_ext_rtp.c
+	parse_xml.c
+	automops.c
+	mopsrx_arp.c
+	mops_ext_igmp.c
+	mops_ext_lldp.c
+	cli_igmp.c
+	cli_lldp.c
+	cli_sequence.c
+	mops_sequence.c
+	llist.c
+	directmops.c
+	mz.h
+	cli.h
+	mops.h
+	llist.h)
 
 add_executable (mz ${SRCS})
-target_link_libraries (mz net pcap rt)
+target_link_libraries (mz net pcap rt cli pthread m)
 
 install(TARGETS mz DESTINATION sbin)

=== debian/changelog ===
mz (0.40-1) unstable; urgency=low

  * New upstream version.
    - debian/patches:
      + fix_manpages.patch: dropped, merged upstream.
      + fix-spelling-error-in-binary.patch: new patch, fixes lintian warning.
  * debian/control: bump up Standards-Version to 3.9.0 (no changes needed).

 -- Cristian Greco <cristian@regolo.cc>  Wed, 07 Jul 2010 22:34:00 +0200

=== debian/watch ===
version=3
http://www.perihel.at/sec/mz/mz-(.*)\.tar\.gz
